## org.opencyc.util
Interface CycWorkerListener

All Superinterfaces:
  java.util.EventListener

public interface CycWorkerListener
extends java.util.EventListener

This is an interface to be used by classes that wishes to listen to a CycWorker's events.

THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Author:
  tbrussea
See Also:
  `CycWorker`, `CycWorkerEvent`, `SwingWorker`

Method Summary
`void` `notifyWorkerFinished(CycWorkerEvent evt)` Called when the CycWorker is finished.
`void` `notifyWorkerInterrupted(CycWorkerEvent evt)` Called when the CycWorker is interrupted.
`void` `notifyWorkerStarted(CycWorkerEvent evt)` Called when the CycWorker is started.

Method Detail

### notifyWorkerStarted

    public void notifyWorkerStarted(CycWorkerEvent evt)

  Called when the CycWorker is started.
  Parameters:
    `evt` - The CycWorkerEvent object.

### notifyWorkerInterrupted

    public void notifyWorkerInterrupted(CycWorkerEvent evt)

  Called when the CycWorker is interrupted.
  Parameters:
    `evt` - The CycWorkerEvent object.

### notifyWorkerFinished

    public void notifyWorkerFinished(CycWorkerEvent evt)

  Called when the CycWorker is finished.
  Parameters:
    `evt` - The CycWorkerEvent object.